
# Asterisk by HTTP - TSP network check

## Overview

This template is designed for Asterisk custom web-page parse by HTTP agent and doesn't require any external scripts.

Custom web-page request:

```shell
curl http://asterisk/network_check.php
```

Custom web-page response:

```json
{"providers":[{"name":"tsp-1","last_check":"2001-01-01 01:01:01"},{"name":"tsp-2","last_check":"2002-02-02 02:02:02"}]}
```

## Requirements

- Zabbix version: 6.0 and higher.

## Tested versions

This template has been tested on:

- [Debian GNU/Linux 12](http://ftp.debian.org/debian/dists/bookworm/)

### Macros used

|Name|Description|Default|
|----|-----------|-------|
|{$TSP.AVAIL.DEADLINE}|Availability deadline in seconds|`900`|
|{$TSP.STATUS.PATH}|path to custom web-page|`http://asterisk/network_check.php`|
|{$TSP.DESCRIPTION.<TSP_NAME>}|trigger operational data info||

### Items

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|Asterisk TSP: Get stats|-|HTTP agent|asterisk.tsp.get_status|

### Triggers

There are no triggers in this template.

### Discovery rules

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|Discovery Asterisk TSP|-|Dependent item|get.asterisk.tsp.stats|

### Item prototypes

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|Asterisk TSP "{#TSP_NAME}" last success check|-|Dependent item|asterisk.tsp.last_check.name[{#TSP_NAME}]|
|Asterisk TSP "{#TSP_NAME}" last success check timestamp|-|Dependent item|asterisk.tsp.last_check.timestamp.name[{#TSP_NAME}]|

### Trigger prototypes

|Name|Description|Expression|Severity|Dependencies and additional info|
|----|-----------|----------|--------|--------------------------------|
|Asterisk TSP "{#TSP_NAME}" not available for {$TSP.AVAIL.DEADLINE} seconds|-|last(/Asterisk by HTTP - TSP network check/asterisk.tsp.last_check.name[{#TSP_NAME}],#1)>{$TSP.AVAIL.DEADLINE}|Average|Manual close: No, Operational data: {$TSP.DESCRIPTION.{#TSP_NAME}}|
