
# check.business.ru

## Overview

This template is designed for [check.business.ru](https://check.business.ru/) monitoring by Zabbix and requires external script.

## Requirements

- Zabbix version: 6.0 and higher.
- [check.business.ru_monitor.py](https://git.hmp.today/pavel.muhortov/utils/src/branch/master/check.business.ru_monitor)

## Tested versions

This template has been tested on:

- [Debian GNU/Linux 12](http://ftp.debian.org/debian/dists/bookworm/)

### Macros used

|Name|Description|Default|
|----|-----------|-------|
|{$APP_ID}|[https://check.business.ru/settings/integrations](https://check.business.ru/settings/integrations)|`API_APP_ID`|
|{$SECRET}|[https://check.business.ru/settings/integrations](https://check.business.ru/settings/integrations)|`API_SECRET`|

### Items

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|check.business.ru request|-|External check|check.business.ru_monitor.py["--app_id","{$APP_ID}","--secret","{$SECRET}","--json"]|
|check.business.ru check_completed|-|Dependent item|check.business.ru.check_completed|
|check.business.ru check_completed_in_error|-|Dependent item|check.business.ru.check_completed_in_error|
|check.business.ru check_completed_in_queue|-|Dependent item|check.business.ru.check_completed_in_queue|
|check.business.ru check_completed_success|-|Dependent item|check.business.ru.check_completed_success|
|check.business.ru check_progress|-|Dependent item|check.business.ru.check_progress|
|check.business.ru date_last_connect_app|-|Dependent item|check.business.ru.date_last_connect_app|
|check.business.ru date_last_connect_ofd|-|Dependent item|check.business.ru.date_last_connect_ofd|
|check.business.ru printer_status|-|Dependent item|check.business.ru.printer_status|

### Triggers

|Name|Description|Expression|Severity|Dependencies and additional info|
|----|-----------|----------|--------|--------------------------------|
|Очередь на кассу: {ITEM.VALUE1}|-|last(/check.business.ru/check.business.ru.check_completed_in_queue)>0|Average|Operational data: Необходимо на ККТ запустить приложение 'Бизнес.Ру Онлайн Чеки'|
|Передано с ошибкой: {ITEM.VALUE1}|-|last(/check.business.ru/check.business.ru.check_completed_in_error)>0|Average|Operational data: Необходимо в ЛК запустить повторно фискализацию или обратиться в ТП Бизнес.Ру|
|Статус ККТ: Не найден|-|last(/check.business.ru/check.business.ru.printer_status,#1)=0|Average|Operational data: Необходимо в ЛК проверить привязку ККТ|
|Статус ККТ: Нет чековой ленты или смена превысила 24 часа|-|last(/check.business.ru/check.business.ru.printer_status,#1)=2|Average|Operational data: Необходимо проверить состояние ККТ|

### Discovery rules

There are no discovery rules in this template.

### Item prototypes

There are no item prototypes in this template.
