
# MiniDLNA by HTTP

## Overview

This template is designed for [MiniDLNA](https://minidlna.sourceforge.net/) monitoring by Zabbix via HTTP and doesn't require any external scripts.
The template `MiniDLNA by HTTP` - collects metrics by polling MiniDLNA status page with HTTP agent remotely.  

## Requirements

Zabbix version: 6.0 and higher.

## Tested versions

This template has been tested on:

- MiniDLNA 1.3.0

### Macros used

|Name|Description|Default|
|----|-----------|-------|
|{$MINIDLNA.STATUS.PORT}}|The port of the MiniDLNA status page.|`8200`|
|{$MINIDLNA.STATUS.SCHEME}|The request scheme, which may be either HTTP or HTTPS.|`http`|

### Items

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|MiniDLNA: Get status|Converted MiniDLNA status to JSON|HTTP agent|minidlna.get_status|
|MiniDLNA: Audio files|Amount of audio files|Dependent item|minidlna.audio_files|
|MiniDLNA: Image files|Amount of image files|Dependent item|minidlna.image_files|
|MiniDLNA: Video files|Amount of video files|Dependent item|minidlna.video_files|
|MiniDLNA: Clients amount|Amount of clients|Dependent item|minidlna.clients_num|
|MiniDLNA: Version|Service version|Dependent item|minidlna.version|
|MiniDLNA: Service ping|-|Simple check|net.tcp.service[{$MINIDLNA.STATUS.SCHEME},"{HOST.CONN}","{$MINIDLNA.STATUS.PORT}"]|

### Triggers

|Name|Description|Expression|Severity|Dependencies and additional info|
|----|-----------|----------|--------|--------------------------------|
|MiniDLNA: Service is down||last(/MiniDLNA by HTTP/net.tcp.service[{$MINIDLNA.STATUS.SCHEME},"{HOST.CONN}","{$MINIDLNA.STATUS.PORT}"])=0|Average|Manual close: Yes|

### Discovery rules

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|Clients discovery|The discovery of clients|Dependent item|minidlna.clients.discovery|

### Item prototypes

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|MiniDLNA client "{#MINIDLNA_CLIENT_IPADDR}" connections|Number of connections from client|Dependent item|minidlna.client.connections[{#MINIDLNA_CLIENT_IPADDR}]|
|MiniDLNA client "{#MINIDLNA_CLIENT_IPADDR}" MAC address|Client MAC address|Dependent item|minidlna.client.hw_address[{#MINIDLNA_CLIENT_IPADDR}]|
