
# OpenVPN by Zabbix agent

## Overview

This template is designed for [OpenVPN](https://openvpn.net/) monitoring by Zabbix agent and requires external script.

## Requirements

- Zabbix version: 6.0 and higher.
- [ovpn_status.py](https://git.hmp.today/pavel.muhortov/openvpn-management#ovpn_status-py)

## Tested versions

This template has been tested on:

- OpenVPN Server 2.5.1

### Macros used

There are no macros in this template.

### Items

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|OpenVPN stats|-|Zabbix agent|discovery.ovpn|
|OpenVPN stats updated|-|Dependent item|ovpn.stats.updated|
|OpenVPN expiration ca|-|Dependent item|ovpn.expiration.ca|
|OpenVPN expiration cert|-|Dependent item|ovpn.expiration.cert|
|OpenVPN clients limit|-|Dependent item|ovpn.clients.limit|
|OpenVPN clients count|-|Dependent item|ovpn.stats.clients_count|
|OpenVPN clients found|-|Dependent item|ovpn.stats.clients_found|

### Triggers

|Name|Description|Expression|Severity|Dependencies and additional info|
|----|-----------|----------|--------|--------------------------------|
|Maximum number of OpenVPN clients reached|-|max(/OpenVPN by Zabbix agent/ovpn.stats.clients_count,#1)>=max(/OpenVPN by Zabbix agent/ovpn.clients.limit,#1)|Average|Manual close: No|
|OpenVPN ca certificate expires in 90 days|-||Warning|Manual close: No|
|OpenVPN ca certificate expires in 30 days|-||Average|Manual close: No|
|OpenVPN ca certificate expires in 7 days|-||High|Manual close: No|
|OpenVPN ca certificate expires in 1 day|-||Disaster|Manual close: No|
|OpenVPN cert certificate expires in 90 days|-|last(/OpenVPN by Zabbix agent/ovpn.expiration.cert,#1)<7776000|Warning|Manual close: No|
|OpenVPN cert certificate expires in 30 days|-|last(/OpenVPN by Zabbix agent/ovpn.expiration.cert,#1)<2592000|Average|Manual close: No|
|OpenVPN cert certificate expires in 7 days|-|last(/OpenVPN by Zabbix agent/ovpn.expiration.cert,#1)<604800|High|Manual close: No|
|OpenVPN cert certificate expires in 1 days|-|last(/OpenVPN by Zabbix agent/ovpn.expiration.cert,#1)<86400|Disaster|Manual close: No|

### Discovery rules

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|Discovery openvpn clients|The discovery of clients|Dependent item|get.ovpn.stats|

### Item prototypes

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|OpenVPN client "{#OVPN_CLIENT_NAME}" bytes recieved|-|Dependent item|ovpn.client.b_rx.name[{#OVPN_CLIENT_NAME}]|
|OpenVPN client "{#OVPN_CLIENT_NAME}" bytes transmitted|-|Dependent item|ovpn.client.b_tx.name[{#OVPN_CLIENT_NAME}]|
|OpenVPN client "{#OVPN_CLIENT_NAME}" connect duration|-|Dependent item|ovpn.client.t_cd.name[{#OVPN_CLIENT_NAME}]|
|OpenVPN client "{#OVPN_CLIENT_NAME}" connect time|-|Dependent item|ovpn.client.t_cs.name[{#OVPN_CLIENT_NAME}]|
|OpenVPN client "{#OVPN_CLIENT_NAME}" real ip|-|Dependent item|ovpn.client.r_ip.name[{#OVPN_CLIENT_NAME}]|
|OpenVPN client "{#OVPN_CLIENT_NAME}" virtual ip|-|Dependent item|ovpn.client.v_ip.name[{#OVPN_CLIENT_NAME}]|
