
# Wireguard by Zabbix agent

## Overview

This template is designed for [Wireguard](https://www.wireguard.com/) monitoring by Zabbix agent and requires external script.

## Requirements

- Zabbix version: 6.0 and higher.
- [wg_status.py](https://git.hmp.today/pavel.muhortov/wireguard-management#wg_status-py)

## Tested versions

This template has been tested on:

- Wireguard 1.0.20210223

### Macros used

There are no macros in this template.

### Items

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|Wireguard stats|-|Zabbix agent|discovery.wg|
|Wireguard stats updated|-|Dependent item|wg.stats.updated|
|Wireguard clients count|-|Dependent item|wg.stats.clients_count|
|Wireguard clients found|-|Dependent item|wg.stats.clients_found|

### Triggers

There are no triggers in this template.

### Discovery rules

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|Discovery wireguard clients|The discovery of clients|Dependent item|get.wg.stats|

### Item prototypes

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|Wireguard client "{#WG_CLIENT_NAME}" bytes recieved|-|Dependent item|wg.client.b_rx.name[{#WG_CLIENT_NAME}]|
|Wireguard client "{#WG_CLIENT_NAME}" bytes transmitted|-|Dependent item|wg.client.b_tx.name[{#WG_CLIENT_NAME}]|
|Wireguard client "{#WG_CLIENT_NAME}" latest handshake|-|Dependent item|wg.client.t_lh.name[{#WG_CLIENT_NAME}]|
|Wireguard client "{#WG_CLIENT_NAME}" real ip|-|Dependent item|wg.client.r_ip.name[{#WG_CLIENT_NAME}]|
|Wireguard client "{#WG_CLIENT_NAME}" virtual ip|-|Dependent item|wg.client.v_ip.name[{#WG_CLIENT_NAME}]|
