
# SSL certificates

## Overview

This template is designed for [X.509](https://en.wikipedia.org/wiki/X.509) certificate monitoring by Zabbix and requires external script.  

## Requirements

- Zabbix version: 6.0 and higher.
- [cert-info.sh](https://git.hmp.today/pavel.muhortov/utils#cert-info-sh)
- [openssl](https://www.openssl.org/)

## Tested versions

This template has been tested on:

- openssl 1.0.2k

### Macros used

|Name|Description|Default|
|----|-----------|-------|
|{$URL}|Certificate location|`host.domain.zone`|

### Items

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|Expires|Certificate remaining days|External check|cert-info.sh["{$URL}","-r"]|

### Triggers

|Name|Description|Expression|Severity|Dependencies and additional info|
|----|-----------|----------|--------|--------------------------------|
|SSL certificate expires||last(/SSL certificates/cert-info.sh["{$URL}","-r"],#1)<7|Warning|Manual close: No|
|SSL certificate expires soon||last(/SSL certificates/cert-info.sh["{$URL}","-r"],#1)<3|Average|Manual close: No|
|SSL certificate expired||last(/SSL certificates/cert-info.sh["{$URL}","-r"],#1)<1|High|Manual close: No|

### Discovery rules

There are no discovery rules in this template.

### Item prototypes

There are no item prototypes in this template.
